Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.model.support
Class PropertiesMap

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<java.lang.String,java.lang.Object>
              com.eviware.soapui.model.support.PropertiesMap

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.lang.Object>

    public class PropertiesMap

extends java.util.HashMap<java.lang.String,java.lang.Object>

Specialization of HashMap<String,Object>

Author:
  Ole.Matzura
See Also:
  Serialized Form

Field Summary
`static PropertiesMap` | `EMPTY_MAP`

Constructor Summary
`PropertiesMap()`
`PropertiesMap(int initialCapacity)`
`PropertiesMap(int initialCapacity, float loadFactor)`
`PropertiesMap(java.util.Map<? extends java.lang.String,? extends java.lang.Object> m)`

Method Summary

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### EMPTY_MAP

    public static final PropertiesMap EMPTY_MAP

Constructor Detail

### PropertiesMap

    public PropertiesMap()

### PropertiesMap

    public PropertiesMap(int initialCapacity,
                         float loadFactor)

### PropertiesMap

    public PropertiesMap(int initialCapacity)

### PropertiesMap

    public PropertiesMap(java.util.Map<? extends java.lang.String,? extends java.lang.Object> m)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.